=== tests/Makefile ===
include ../Makefile.conf

CLIENTS=roar-config roarbidir roarcat roarcat2sock roarcatad roarcatpassfh roarcatplay roarcatsendfile roarcatvio roarctl roarfilt roarmon roarradio roarshout roarsin roarsockconnect roarsocktypes roartypes roarvorbis roarvumeter roarinterconnect roarlight roarphone


all:
	echo Warning: There is nothing to build
clean: sandbox-clean
	rm -f *.o rat-*

new: clean all

#test: sandbox-install test-all sandbox-clean
test: sandbox-clean sandbox-install test-all sandbox-clean

test-all: test-runnable test-roard test-rat

test-runnable:
	PREFIX_BIN=$(PREFIX_BIN) PREFIX_LIB=$(PREFIX_LIB) EXEC_HELPER=$(EXEC_HELPER) ./test-runnable.sh "$(CLIENTS)"
test-roard:
	PREFIX_BIN=$(PREFIX_BIN) PREFIX_LIB=$(PREFIX_LIB) EXEC_HELPER=$(EXEC_HELPER) ./test-roard.sh

test-rat: rat.o test-rat.o
	$(CC) -Wall -Wextra -O2 -g -o rat-rat rat.o test-rat.o
	$(EXEC_HELPER) ./rat-rat


sandbox-install: sandbox
sandbox:
	mkdir sandbox
	sh -c 'cd ..; DESTDIR=`pwd`/tests/sandbox $(MAKE) install'
sandbox-clean:
	rm -rf sandbox/
