=== debian/changelog ===
roaraudio (0.4~beta7-1) unstable; urgency=low

  [ Philipp Schafft ]
  * New upstream release.
    - Audio drivers got updated to correctly use sync logic.
      All drivers should now work again.

  [ Patrick Matthäi ]
  * Add missing build-arch and build-indep target.
  * Add patch 01-fix-man-errors.diff to fix new format errors in manpages.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 10 Jul 2011 19:52:10 +0200

roaraudio (0.4~beta6-1) unstable; urgency=low

  [ Philipp Schafft ]
  * New upstream release.
  * Re-enable libfishsound.
  * Updated Build-Depends for libz and portaudio v.19.
  * Suggest ckport and libmuroar-dev package.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 23 May 2011 21:00:29 +0200

roaraudio (0.4~beta5-1) unstable; urgency=low

  [ Philipp Schafft ]
  * New upstream release.
  * Moved suggest of slpd package from pkg:roaraudio to pkg:libroar1.

  [ Patrick Matthäi ]
  * Build with hardening-wrapper.
  * Wrap build dependencies.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 30 Apr 2011 17:24:02 +0200

roaraudio (0.4~beta5~pr0-1) unstable; urgency=low

  * New upstream release.
    - Add new files.
  * Remove arts implementation, since it will be removed from Debian.
    Closes: #620638
  * Bump Standards-Version to 3.9.2 (no changes needed).
  * Suggest slpd package.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 17 Apr 2011 21:47:17 +0200

roaraudio (0.4~beta4-1) unstable; urgency=low

  [ Philipp Schafft ]
  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 25 Mar 2011 21:55:56 +0100

roaraudio (0.4~beta4~pr0-1) unstable; urgency=low

  [ Patrick Matthäi ]
  * Move roaraudio-server from recommends to suggests.
    Closes: #613625

  [ Philipp Schafft ]
  * New upstream release.
  * Fixed some small error within the init script
    See also: #613772

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 27 Feb 2011 16:11:03 +0100
