=== roarclients/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-TARGETS_DEVEL=roartypes roarsocktypes roar-config
+TARGETS_DEVEL=roartypes roar-config
 TARGETS_EXAMPLE=roarvorbis roarsin
 TARGETS_IO=roarcat roarcatplay roarcatvio roarbidir roarmon roarmonhttp roarradio
 TARGETS_CTL=roarctl roarlight roarinterconnect roarclientpass
@@ -7,8 +7,8 @@
 TARGETS_M=roardtmf
 TARGETS_VIO=roarvio
 
-TARGETS_TESTS=pinentrytest zcattest pgptest pipetest polytest roarfctest
-TARGETS_OLD=roarcatad roarcat2sock roarcatsendfile roarcatpassfh
+#TARGETS_TESTS=pinentrytest zcattest pgptest pipetest polytest roarfctest
+#TARGETS_OLD=roarcatad roarcat2sock roarcatsendfile roarcatpassfh roarsocktypes
 
 TARGETS=$(TARGETS_IO) $(TARGETS_CTL) $(TARGETS_DSP) $(TARGETS_MISC) $(TARGETS_DEVEL) $(TARGETS_EXAMPLE) $(TARGETS_M) $(TARGETS_VIO)
