=== roarfish/Makefile ===
include ../Makefile.conf
include ../Makefile.inc

TARGETS=roarfish

OBJ=roarfish.o play.o

#DEFINES        = -DDEBUG
INCLUDE = -I../include -I./include
CFLAGS += -g -Wall $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH)
LDFLAGS+= -g -L../lib/ $(LDPATH)
LIBS    = $(LIBROAR) $(lib_fishsound) $(lib_oggz)

all: ${TARGETS}
	cp $(cp_v) ${TARGETS} ../lib/
clean:
	rm -f ${TARGETS} *.o
new: clean all

roarfish: ${OBJ}
	${CC} ${LDFLAGS} -o roarfish ${OBJ} ${LIBS}
