=== debian/changelog ===
roaraudio (0.4-3) unstable; urgency=low

  * Mangle rc to ~rc in debian/watch.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 28 Jan 2012 16:07:05 +0100

roaraudio (0.4-2) unstable; urgency=medium

  [ Philipp Schafft ]
  * Corrected Depends on own shared libraries (to unbreak upgrade)
    (Closes: #648729)

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 02 Dec 2011 21:09:34 +0100

roaraudio (0.4-1) unstable; urgency=medium

  [ Philipp Schafft ]
  * New upstream release.
    - Fixed several segfauls
    - Fixed pointer aliasing (relevant to MIPS)
    - Fixed a maybe remote attacable buffer overflow
    - Improved error handling
  * Updated lintian overrides
  * Removed useless ${shlibs:Depends} from roaraudio-dbg

  [ Patrick Matthäi ]
  * Wrap all control fields.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 13 Nov 2011 14:17:20 +0100

roaraudio (0.4~rc0-1) unstable; urgency=low

  [ Philipp Schafft ]
  * New upstream release.
    - Fixed endless loop in MIDI driver, MIDI is now enabled in Debian package.
    - Corrected symlinks for complibs.
    - roard now starts up in 32 bit mode by default. This enabled more easy
      radio streaming.
    - Debian init scripts were improved and match roard again.
  * Updated architecture depended dependencies (Closes: #634335)
  * Removed patch 01-fix-man-errors.diff as it got upstreamed.
  * Removed tools from libroar-dev becaue they are no longer build by upstream:
      roarsocktypes, roarfctest, roarcatad, roarcatsendfile,
      roarcat2sock, roarcatpassfh
  * Updated debian/copyright.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 17 Sep 2011 17:49:59 +0200
