=== debian/control ===
--- 
+++ 
@@ -22,18 +22,24 @@
  libcelt-dev (>= 0.7.1),
  libcelt-dev (<< 0.8.0~),
  libpulse-dev [!hurd-i386],
- libasound2-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
+ libasound2-dev [linux-any],
  portaudio19-dev,
- libdnet-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]
+ libdnet-dev [linux-any]
 Standards-Version: 3.9.2
 Section: libs
 Homepage: http://roaraudio.keep-cool.org/
 
 Package: libroar1
 Architecture: any
-Suggests: bzip2, gnupg, openssh-client, pinentry, libmuroar0, roaraudio-server,
+Suggests: bzip2,
+ gnupg,
+ openssh-client,
+ pinentry,
+ libmuroar0,
+ roaraudio-server,
  slpd
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+ ${misc:Depends}
 Conflicts: libroar0
 Replaces: libroar0
 Description: foundation libraries for the RoarAudio sound server and clients
@@ -65,10 +71,15 @@
 Section: libdevel
 Architecture: any
 Provides: libsndio-dev
-Depends: ${shlibs:Depends}, ${misc:Depends}, libroar1 (= ${binary:Version}),
- libroar-compat1 (= ${binary:Version}), libslp-dev, libx11-dev,
- libdnet-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]
-Suggests: ckport, libmuroar-dev
+Depends: ${shlibs:Depends},
+ ${misc:Depends},
+ libroar1 (= ${binary:Version}),
+ libroar-compat1 (= ${binary:Version}),
+ libslp-dev,
+ libx11-dev,
+ libdnet-dev [linux-any]
+Suggests: ckport,
+ libmuroar-dev
 Description: header files and documentation for the RoarAudio libraries
  RoarAudio is a server for audio mixing. Its main purpose is to mix audio from
  different clients before sending it to its outputs (for example a soundcard).
@@ -100,8 +111,9 @@
 Section: debug
 Architecture: any
 Priority: extra
-Depends: ${shlibs:Depends}, ${misc:Depends},
- libroar1 (= ${binary:Version}), roaraudio (= ${binary:Version}),
+Depends: ${misc:Depends},
+ libroar1 (= ${binary:Version}),
+ roaraudio (= ${binary:Version}),
  libroar-compat1 (= ${binary:Version})
 Description: RoarAudio sound server for audio mixing (debugging symbols)
  RoarAudio is a server for audio mixing. Its main purpose is to mix audio from
@@ -133,10 +145,15 @@
 Package: roaraudio
 Section: sound
 Architecture: any
-Provides: roaraudio-server, rsound-server
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Provides: roaraudio-server,
+ rsound-server
+Depends: ${shlibs:Depends},
+ libroar1 (= ${binary:Version}),
+ libroar-compat1 (= ${binary:Version}),
+ ${misc:Depends}
 Recommends: oss-compat [!hurd-i386]
-Suggests: libroar-compat1, socat, wget
+Suggests: socat,
+ wget
 Breaks: roaraudio-extra (<< 0.4~beta2~pr0-1)
 Replaces: roaraudio-extra (<< 0.4~beta2~pr0-1)
 Description: sound server for audio mixing
@@ -148,7 +165,8 @@
 Package: libroar-compat1
 Architecture: any
 Provides: libsndio1
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+ ${misc:Depends}
 Breaks: roaraudio (<< 0.3~beta7-pr2-1)
 Conflicts: libroar-compat0
 Replaces: libroar-compat0
