=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
 	--proc-net-decnet-neigh /proc/net/decnet_neigh \
 	--proc-net-arp /proc/net/arp \
 	--distribution-version-string "Debian-$(DEB_VERSION)"
-	$(MAKE)
+	CFLAGS="" LDFLAGS="" $(MAKE)
 	touch build-stamp
 
 clean:
