## roaraudio 1.0~beta0~pr2

=== debian/changelog ===
roaraudio (1.0~beta0~pr2-1) experimental; urgency=low

  * New upstream pre-release.
    - Remove 01-disable-ipx patch and pass --no-ipx to configure.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 21 Feb 2012 20:31:09 +0100

roaraudio (1.0~beta0~pr1-1) experimental; urgency=low

  * New upstream pre-release.
  * Add missing Conflicts/Replaces on libroar-compat1 to the libroar-compat2
    package.
    Closes: #659783
  * Fix broken libsndio symlinks and move the creation of them from
    debian/rules to dh_link.
  * Remove duplicate dh_link call.
  * Remove librsound.so* symlinks.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 14 Feb 2012 18:57:33 +0100

roaraudio (1.0~beta0~pr0-1) experimental; urgency=low

  * New upstream pre-release.
    - Bump SONAMEs:
      libroar1 to libroar2
      libroar-compat1 to libroar-compat2
  * Do not copy the bash completion to debian/tmp, direct install it instead.
  * Remove deprecated libartsc symlinks from the libroar-compat2 package.
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 08 Feb 2012 19:58:10 +0100

roaraudio (0.4-5) unstable; urgency=low

  * Add patch 01-disable-ipx to disable IPX support on all platforms. This
    also fixes the FTBFS on kfreebsd.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 29 Jan 2012 20:31:11 +0100

roaraudio (0.4-4) unstable; urgency=low

  * Add libipx-dev as build dependency on kfreebsd.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 29 Jan 2012 13:40:45 +0100
