=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
 Section: libs
 Homepage: http://roaraudio.keep-cool.org/
 
-Package: libroar1
+Package: libroar2
 Architecture: any
 Suggests: bzip2,
  gnupg,
@@ -73,8 +73,8 @@
 Provides: libsndio-dev
 Depends: ${shlibs:Depends},
  ${misc:Depends},
- libroar1 (= ${binary:Version}),
- libroar-compat1 (= ${binary:Version}),
+ libroar2 (= ${binary:Version}),
+ libroar-compat2 (= ${binary:Version}),
  libslp-dev,
  libx11-dev,
  libdnet-dev [linux-any]
@@ -112,9 +112,9 @@
 Architecture: any
 Priority: extra
 Depends: ${misc:Depends},
- libroar1 (= ${binary:Version}),
+ libroar2 (= ${binary:Version}),
  roaraudio (= ${binary:Version}),
- libroar-compat1 (= ${binary:Version})
+ libroar-compat2 (= ${binary:Version})
 Description: RoarAudio sound server for audio mixing (debugging symbols)
  RoarAudio is a server for audio mixing. Its main purpose is to mix audio from
  different clients before sending it to its outputs (for example a soundcard).
@@ -148,8 +148,8 @@
 Provides: roaraudio-server,
  rsound-server
 Depends: ${shlibs:Depends},
- libroar1 (= ${binary:Version}),
- libroar-compat1 (= ${binary:Version}),
+ libroar2 (= ${binary:Version}),
+ libroar-compat2 (= ${binary:Version}),
  ${misc:Depends}
 Recommends: oss-compat [!hurd-i386]
 Suggests: socat,
@@ -162,14 +162,16 @@
  It is completely network transparent (UNIX sockets, TCP/IP, DECnet) and
  supports many common codecs like Ogg Vorbis, Speex or FLAC.
 
-Package: libroar-compat1
+Package: libroar-compat2
 Architecture: any
 Provides: libsndio1
 Depends: ${shlibs:Depends},
  ${misc:Depends}
 Breaks: roaraudio (<< 0.3~beta7-pr2-1)
-Conflicts: libroar-compat0
-Replaces: libroar-compat0
+Conflicts: libroar-compat0,
+ libroar-compat1
+Replaces: libroar-compat0,
+ libroar-compat1
 Description: drop-in replacements for other sound libraries
  To get programs which use the EsounD (ESD), OpenBSD sndio, PulseAudio
  or YIFF API running, you can install this package and replace the appropriate
