=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,7 @@
 	--oss-dev /dev/dsp --oss-mixer-dev /dev/mixer \
 	--proc-net-decnet-neigh /proc/net/decnet_neigh \
 	--proc-net-arp /proc/net/arp \
+	--no-ipx \
 	--distribution-version-string "Debian-$(DEB_VERSION)"
 	CFLAGS="" LDFLAGS="" $(MAKE)
 	touch build-stamp
@@ -47,10 +48,8 @@
 	cp dist/debian-like/roaraudio debian/roaraudio.init
 	cp dist/debian-like/defaults debian/roaraudio.default
 	cp dist/debian-like/sndio.h debian/tmp/usr/include/
-	mkdir -p debian/tmp/etc/bash_completion.d
-	cp plugins/bash/roaraudio debian/tmp/etc/bash_completion.d/roaraudio
-	ln -s libroarsndio.so.1 debian/tmp/usr/lib/libsndio.so.1
-	ln -s libsndio.so.1 debian/tmp/usr/lib/libsndio.so
+	rm -f $(CURDIR)/debian/tmp/usr/lib/roaraudio/complibs/libartsc.so*
+	rm -f $(CURDIR)/debian/tmp/usr/lib/roaraudio/complibs/librsound.so*
 
 build-arch: build
 
@@ -61,9 +60,8 @@
 binary-arch: build install
 	dh_testdir -a
 	dh_testroot -a
-	dh_link -a
 ifneq ($(DEB_BUILD_ARCH),hurd-i386)
-	dh_install --ignore=debian/libroar-compat1.install -plibroar-compat1 "debian/tmp/usr/lib/libroarpulse*.so.*"
+	dh_install --ignore=debian/libroar-compat2.install -plibroar-compat2 "debian/tmp/usr/lib/libroarpulse*.so.*"
 	dh_install --ignore=debian/libroar-dev.install -plibroar-dev "debian/tmp/usr/lib/libroarpulse-simple.so"
 	dh_install --ignore=debian/libroar-dev.install -plibroar-dev "debian/tmp/usr/lib/libroarpulse.so"
 endif
